# Interface methods for submodule: ImageToPathFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PathSourceProxy as _PathSourceProxy


# Interface methods for class: ImageToPathFilter
class ImageToPathFilterProxy(_PathSourceProxy):
	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def SetInput(self, arg0: int, image) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

